Package tigase.monitor.tasks

## Class ScriptTask

- java.lang.Object
- - tigase.monitor.tasks.AbstractConfigurableTask
  - - tigase.monitor.tasks.ScriptTask

- All Implemented Interfaces:
    `Initializable`, `UnregisterAware`, `ConfigurableTask`, `MonitorTask`

      public class ScriptTask
      extends AbstractConfigurableTask

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected javax.script.Bindings` | `bindings` |
    `protected javax.script.ScriptEngineManager` | `scriptEngineManager` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ScriptTask()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `enable()` |
    `javax.script.Bindings` | `getBindings()` |
    `java.lang.String` | `getScript()` |
    `javax.script.ScriptEngineManager` | `getScriptEngineManager()` |
    `java.lang.String` | `getScriptExtension()` |
    `void` | `setBindings​(javax.script.Bindings bindings)` |
    `void` | `setScript​(java.lang.String script, java.lang.String scriptExtension)` |
    `void` | `setScriptEngineManager​(javax.script.ScriptEngineManager scriptEngineManager)` |

    - ### Methods inherited from class tigase.monitor.tasks.AbstractConfigurableTask

      `beforeUnregister, disable, getCurrentConfiguration, initialize, isEnabled, setEnabled, setNewConfiguration`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### bindings

          @Inject
          protected javax.script.Bindings bindings

    - #### scriptEngineManager

          @Inject
          protected javax.script.ScriptEngineManager scriptEngineManager

  - ### Constructor Detail

    - #### ScriptTask

          public ScriptTask()

  - ### Method Detail

    - #### getBindings

          public javax.script.Bindings getBindings()

    - #### setBindings

          public void setBindings​(javax.script.Bindings bindings)

    - #### getScript

          public java.lang.String getScript()

    - #### getScriptEngineManager

          public javax.script.ScriptEngineManager getScriptEngineManager()

    - #### setScriptEngineManager

          public void setScriptEngineManager​(javax.script.ScriptEngineManager scriptEngineManager)

    - #### getScriptExtension

          public java.lang.String getScriptExtension()

    - #### setScript

          public void setScript​(java.lang.String script,
                                java.lang.String scriptExtension)

    - #### enable

          protected void enable()

      Overrides:
        `enable` in class `AbstractConfigurableTask`